Counterparty
List all counterparties
Retrieve all counterparties under your developer account. Filtered results can be retrieved with extra parameters in the query (account_number, routing_number, etc.).
Query Parameters
account_number
stringOptionalFilter counterparties by account number.
counterparty_ids
stringOptionalcreated.gt
date-timeOptionalReturn results where the created_at field is greater than this value.
created.gte
date-timeOptionalReturn results where the created_at field is greater than or equal to this value.
created.lt
date-timeOptionalReturn results where the created_at field is less than this value.
created.lte
date-timeOptionalReturn results where the created_at field is less than or equal to this value.
deduplicate
booleanOptionalWhen true, collapses duplicate counterparties (same account/routing) into a single result.
description
stringOptionalFilter counterparties by description (substring match).
ending_before
stringOptionalA cursor for use in pagination. ending_before is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with foo_ZXhhbXBsZQo, your subsequent call can include ending_before=foo_ZXhhbXBsZQo in order to fetch the previous page of the list.
limit
numberOptionalA limit on the number of objects to be returned, between 1 and 100. The default is 10.
query
stringOptionalFree-form search query that matches against counterparty fields.
routing_number
stringOptionalFilter counterparties by routing number.
sort
stringOptionalField to sort results by.
sort_order
stringOptionalSort direction. Can be asc or desc.
starting_after
stringOptionalA cursor for use in pagination. starting_after is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with foo_ZXhhbXBsZQo, your subsequent call can include starting_after=foo_ZXhhbXBsZQo in order to fetch the next page of the list.